package com.engine.kq.biz;

import weaver.cache.CacheBase;
import weaver.cache.CacheColumn;
import weaver.cache.CacheColumnType;
import weaver.cache.PKColumn;

/**
 * 考勤配置缓存表
 */
public class KQConfigComInfo extends CacheBase{
	protected static String TABLE_NAME = "kq_config";
	/** sql中的where信息，不要以where开始 */
	protected static String TABLE_WHERE = null;
	/** sql中的order by信息，不要以order by开始 */
	protected static String TABLE_ORDER = "name";

	@PKColumn(type = CacheColumnType.NUMBER)
	protected static String PK_NAME = "name";

	@CacheColumn(name = "value")
	protected static int value;

	public String getId(){
		return (String)getRowValue(PK_INDEX);
	}

  public String getValue() {
	  return (String)getRowValue(value);
	}
  public String getValue(String key) {
    return (String)getValue(value,key);
  }

}